%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           qbzr
Version:        0.18.5
Release:        1%{?dist}
Summary:        Bazaar plugin for Qt interface to most Bazaar operations

Group:          Development/Tools
License:        GPLv2+
URL:            http://wiki.bazaar-vcs.org/QBzr
Source0:        http://launchpad.net/qbzr/0.18/%{version}/+download/qbzr-%{version}.tar.gz
# Patch to find locales in the system localedir
# Submitted upstream https://bugs.launchpad.net/qbzr/+bug/542429
Patch0:         qbzr-localedir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-docutils
BuildRequires: dos2unix
BuildRequires: gettext
Requires: bzr >= 2.0
Requires: PyQt4 >= 4.4
Requires: python-pygments
Requires: python-enchant

%description
QBzr provides GUI frontends for many core bzr commands and several dialogs and
helper commands. Equivalents for core bzr commands have the same names as the
CLI commands but prefixed with "q".  The QBzr dialogs can also be used by other
programs looking to implement a GUI interface for bzr.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .localedir

cd docs
dos2unix -k exception_reporting.txt index.txt gettext_usage.txt \
    slot-signal-mini-tutorial/slot-signal-mini-tutorial.txt

%build
%{__python} setup.py build
cd docs
make

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

rm %{buildroot}%{python_sitelib}/bzrlib/plugins/qbzr/*.txt
mkdir -p %{buildroot}%{_datadir}
mv %{buildroot}%{python_sitelib}/bzrlib/plugins/qbzr/locale %{buildroot}%{_datadir}

%find_lang qbzr

%clean
rm -rf %{buildroot}

%check
# Can't run tests without an X server
#./run-tests.sh

%files -f qbzr.lang
%defattr(-,root,root,-)
%doc AUTHORS.txt COPYING.txt NEWS.txt docs
%{python_sitelib}/*egg-info
%{python_sitelib}/bzrlib/plugins/qbzr/


%changelog
* Sun Apr 11 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.5-1
- Upstream update

* Tue Apr 5 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.4-2
- bzr-2.x will find the plugins in sitelib

* Thu Mar 25 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.4-1
- Update to 0.18.4

* Sun Mar 21 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.3-3
- Add explanation of python_sitearch need for bz#575332

* Sat Mar 20 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.3-2
- Fix comments from review ticket bz#575332

* Fri Mar 19 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.3-1
- Initial Fedora build
